package com.jdbernard.nlsongs

import groovy.beans.Bindable
import groovy.swing.SwingBuilder
import javax.swing.JFrame
import net.miginfocom.swing.MigLayout

public class NLSongsUploader {

  public static final String VERSION =
    NLSongsUploader.getResourceAsStream('/VERSION.txt').text

  // GUI Elements (View)
  SwingBuilder swing = new SwingBuilder()
  JFrame rootFrame

  public static void main(String[] args) { def inst = new NLSongsUploader() }

  public NLSongsUploader() {

    initGui()
    rootFrame.show()
  }

  private void initGui() {

    swing.edtBuilder {
      this.rootFrame = frame(title: "New Life Songs Uploader ${VERSION}",
        iconImages: [imageIcon('/icon.png').image],
        preferredSize: [1024, 768], pack: true,
        layout: new MigLayout("ins 0, fill"),
        defaultCloseOperation: JFrame.EXIT_ON_CLOSE) {

      }
    }
  }
}
